現在、WebARENA SuitePROv2 でサーバ構築を行っております。


データベースサーバーを構築したのですが、その際、phpadmin をインストールしたら、ログインページに「mcrypt 拡張をロードできません。PHP の設定を確認してください」と表示が出ていました。

調べたら、mcryptというrpmが必要らしいのですが、rpmパッケージにないrpmモジュールをインストールするにはどうすればよいのでしょうか?ダウンロードするところから教えてください。

OS:CentOS4

回答の条件
  • 1人3回まで
  • 登録:2008/09/16 01:26:52
  • 終了:2008/09/17 17:34:32

回答(1件)

id:Mook No.1

Mook回答回数1312ベストアンサー獲得回数3912008/09/16 11:16:55

ポイント60pt

CentOS5 ですが、下記のコマンドで該当のエラーメッセージは回避できましたが、

参考にならないでしょうか。

[root@localhost ~]# yum -y install php-mcrypt

http://blog.mizoshiri.com/archives/167

id:mako_channel

CentOS4では、rpmパッケージにphp-mcryptが入っていないようなので、他から持ってきたmcryptを組み込みたいと思っていたのですが、なにやら、CentOS4では、これが使えないようなことをどこかで見たので、もしかしたら使えないのかもしれません。

2008/09/17 01:50:58
  • id:Mook
    できなかったですか。

    すでにご存知かもしれませんが、下記のような情報もありました。
    http://www.toemon.com/modules/Knowledge/index.php?content_id=17
    http://hangar5.blog48.fc2.com/?mode=m&no=25&photo=true

    何かのお役に立たないでしょうか。
  • id:mako_channel
    Mookさんへ

    ご丁寧にありがとうございました。

    当面、CUIで頑張ってみようと思います。

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません